Bug 4165 - Unassigned abstracts treated as reviewed in Presentations page
Unassigned abstracts treated as reviewed in Presentations page
Status: RESOLVED FIXED
Product: OCS
Classification: Unclassified
Component: User Interface
2.1.2
PC Mac OS X 10.3
: P5 major
Assigned To: Alec Smecher
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 10:51 PDT by James MacGregor
Modified: 2009-04-23 10:46 PDT (History)
1 user (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against OCS pre-2.1.2 CVS (1.47 KB, patch)
2009-04-23 10:28 PDT, Alec Smecher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2009-04-02 10:51:59 PDT
If the Conference Manager has checked the "Post abstracts once the abstract review has been completed" option in Setup Step 2.1, *all* submissions appear in the Presentations page, at least for CM's/Directors; that is, even submission abstracts that are in the unassigned queue or have not been reviewed and accepted are also listed. If accepted abstracts are publicly posted via the Timeline page, non-logged-in users can see these abstracts.
Comment 1 Alec Smecher 2009-04-06 12:30:00 PDT
James, what submission mode are you using?
Comment 2 James MacGregor 2009-04-16 10:41:27 PDT
(In reply to comment #1)
> James, what submission mode are you using?

I'm usin Abstract followed by presentation, although something very strange is going on: a submission that I submitted a while ago, and that is still unassigned, is showing up in the Presentations list; but one I just tested isn't. I can't see anything different between the two -- maybe this has already been inadvertently fixed in CVS? I can try a fresh install later today; also let me know if there's anything I should be checking in the db or elsewhere.
Comment 3 Alec Smecher 2009-04-17 17:27:53 PDT
James, maybe the best thing to do would be to send me a mysqldump of the offending database (and a quick note on where to see the problem in action).
Comment 4 Alec Smecher 2009-04-23 10:28:18 PDT
Created attachment 1695 [details]
Patch against OCS pre-2.1.2 CVS
Comment 5 Alec Smecher 2009-04-23 10:30:07 PDT
Great, James, got it -- the previewAbstracts option wasn't working with "abstract and paper together" submissions. Could you test it out on your end, either by updating from CVS (I've committed the changes) or by applying the patch?
Comment 6 James MacGregor 2009-04-23 10:46:18 PDT
This checks out perfectly on my end, Alec!